<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Contact extends Model
{
    use HasFactory;
	
	// public function organization()
    // {
    //     return $this->belongsTo(Organization::class);
    // }
	
	protected $fillable = [
		'FirstName',
		'LastName',
		'BusinessName',
		'Title',
		'AddressLine1',
		'AddressLine2',
		'AddressLine3',
		'City',
		'StateProvince',
		'PostalCode',
		'Phone1',
		'Phone2',
		'Facebook',
		'Instagram',
		'TikTok',
		'YouTube',
		'EmailAddress',
		'Notes',
    ];
	
	
	public function scopeOrderByName($query){
        $query->orderBy('LastName')->orderBy('FirstName');
    }
	
	public function customer() {
        return $this->belongsTo(Customer::class);
    }
}
