<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Casts\Attribute;
use App\Enums\TaskStatus;


class Task extends Model
{
    use HasFactory;
	
	protected $fillable = [
		'TaskName',
		'Customer',
		'DueDate',
		'StartDate',
		'Status',
		'Notes',
    ];
	
	public function user()
    {
        return $this->belongsTo(User::class);
    }
	
	protected function Status(): Attribute
    {
        return Attribute::make(
            get: fn (string $value) => ($value == 0) ? "test": $value,
        );
    }
	
	protected $casts = [
		'Status' => TaskStatus::class,
	];
	
	function convertStatusToString($value){
		if ($value == TaskStatus::NotStarted){
			return "Not Started";
		}elseif ($value == TaskStatus::InProgress) {
			return "In Progress";
		}elseif ($value == TaskStatus::Delayed) {
			return "Delayed";
		}elseif ($value == TaskStatus::Completed) {
			return "Completed";
		}
		return "";
	}
}
