<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Task>
 */
class TaskFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
		$createDate = fake()->dateTimeThisYear();
		$dueDate = fake()->dateTimeBetween($createDate, '+3 months');
		
		
        return [
			'created_at' => $createDate,
            'updated_at' => $createDate,
			'user_id' => 1,
            'TaskName' => fake()->words(3, true),
            'Customer' => fake()->words(3, true),
            'DueDate' => $dueDate,
            'StartDate' => $createDate,
            'Status' => fake()->numberBetween(0,3),
        ];
		
    }
}
