import React from 'react';
import InputError from '@/Components/InputError';
import InputLabel from '@/Components/InputLabel';
import PrimaryButton from '@/Components/PrimaryButton';
import Contact from '@/Components/Contact';
import TextInput from '@/Components/TextInput';
import { Link, useForm, usePage } from '@inertiajs/react';
import { Transition } from '@headlessui/react';

export default function ContactList({auth }) {
	const { data, setData, post, get, processing, reset, errors } = useForm({
        ContactName: '',
    });
	
	const contacts = get(route('contactlist.index'));
	
    return (
        <div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
			<div class="inline-block min-w-full py-2 sm:px-6 lg:px-8">
				<div class="overflow-hidden">
					<table class="min-w-full text-left text-sm font-light">
						<thead class="border-b font-medium dark:border-neutral-500">
							<tr>
								<th scope="col" class="px-6 py-4">#</th>
								<th scope="col" class="px-6 py-4">Customer Type</th>
								<th scope="col" class="px-6 py-4">Customer Name</th>
								<th scope="col" class="px-6 py-4">First Name</th>
								<th scope="col" class="px-6 py-4">Last Name</th>
								<th scope="col" class="px-6 py-4">Created At</th>
								<th scope="col" class="px-6 py-4"></th>
							</tr>
						</thead>
						<tbody>
							{contacts.map(contact =>
								<Contact key={contact.id} contact={contact} />
							)}
						</tbody>
					</table>
				</div>
			</div>
		</div>
    );
}
