import React, { useState } from 'react';
import { useForm, Head, usePage, Link } from '@inertiajs/react';
import PrimaryButton from '@/Components/PrimaryButton';
import SecondaryButton from '@/Components/SecondaryButton';
// import Link from '@inertiajs/react';
 
export default function Customer({ customer }) {
	const { auth } = usePage().props;
 
    const [editing, setEditing] = useState(false);
 
    const { data, setData, patch, clearErrors, processing, reset, errors } = useForm({
        CustomerName: customer.CustomerName,
		//CustomerType: customer.CustomerType,
		CustomerID: customer.id,
		FirstName: customer.FirstName,
		LastName: customer.LastName,
		CreatedAt: customer.created_at,
    });
 
    const submit = (e) => {
        e.preventDefault();
        patch(route('customers.update', customer.id), { onSuccess: () => setEditing(false) });
    };
	
    return (
		<tr
			class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
			<td class="whitespace-nowrap px-6 py-4 font-medium">{customer.id}</td>
			<td class="whitespace-nowrap px-6 py-4">{customer.CustomerType}</td>
			<td class="whitespace-nowrap px-6 py-4">{customer.CustomerName}</td>
			<td class="whitespace-nowrap px-6 py-4">{customer.FirstName}</td>
			<td class="whitespace-nowrap px-6 py-4">{customer.LastName}</td>
			<td class="whitespace-nowrap px-6 py-4">{new Date(customer.created_at).toLocaleString()}</td>
			<td class="whitespace-nowrap px-6 py-4"><Link className="mt-4" disabled={processing} href={route('customers.edit', customer.id)}>Edit</Link></td>
			{/* <td class="whitespace-nowrap px-6 py-4"><PrimaryButton className="mt-4" disabled={processing} href={route('customers.edit', customer)}>Edit</PrimaryButton><SecondaryButton className="mt-4" disabled={processing}>Other</SecondaryButton></td> */}
		</tr>
		
		
		// <th scope="col" class="px-6 py-4">#</th>
		// 								<th scope="col" class="px-6 py-4">Customer Name</th>
		// 								<th scope="col" class="px-6 py-4">First Name</th>
		// 								<th scope="col" class="px-6 py-4">Last Name</th>
		// 								<th scope="col" class="px-6 py-4">Created At</th>
		
		
		
		
		
        // <div className="p-6 flex space-x-2">
        //     <svg xmlns="http://www.w3.org/2000/svg" className="h-6 w-6 text-gray-600 -scale-x-100" fill="none" viewBox="0 0 24 24" stroke="currentColor" strokeWidth="2">
        //         <path strokeLinecap="round" strokeLinejoin="round" d="M8 12h.01M12 12h.01M16 12h.01M21 12c0 4.418-4.03 8-9 8a9.863 9.863 0 01-4.255-.949L3 20l1.395-3.72C3.512 15.042 3 13.574 3 12c0-4.418 4.03-8 9-8s9 3.582 9 8z" />
        //     </svg>
        //     <div className="flex-1">
        //         <div className="flex justify-between items-center">
        //             <div>
        //                 <span className="text-gray-800">{customer.CustomerName}</span>
        //                 <small className="ml-2 text-sm text-gray-600">{new Date(customer.created_at).toLocaleString()}</small>
        //             </div>
        //         </div>
        //         <p className="mt-4 text-lg text-gray-900">{customer.message}</p>
        //     </div>
        // </div>
    );
}