import React, { useState } from 'react';
import { useForm, Head, usePage, Link } from '@inertiajs/react';
import PrimaryButton from '@/Components/PrimaryButton';
import SecondaryButton from '@/Components/SecondaryButton';
// import Link from '@inertiajs/react';
 
export default function User({ user }) {
	const { auth } = usePage().props;
 
    const [editing, setEditing] = useState(false);
 
    const { data, setData, patch, clearErrors, processing, reset, errors } = useForm({
        UserID: user.id,
		Name: user.name,
		Email: user.email,
    });
 
    const submit = (e) => {
        e.preventDefault();
        patch(route('users.update', user.id), { onSuccess: () => setEditing(false) });
    };

    return (
		<tr
			class="border-b transition duration-300 ease-in-out hover:bg-neutral-100 dark:border-neutral-500 dark:hover:bg-neutral-600">
			<td class="whitespace-nowrap px-6 py-4 font-medium">{user.id}</td>
			<td class="whitespace-nowrap px-6 py-4">{user.name}</td>
			<td class="whitespace-nowrap px-6 py-4">{user.email}</td>
			<td class="whitespace-nowrap px-6 py-4"><Link className="mt-4" disabled={processing} href={route('users.edit', user.id)}>Edit</Link></td>
			{/* <td class="whitespace-nowrap px-6 py-4"><PrimaryButton className="mt-4" disabled={processing} href={route('users.edit', user)}>Edit</PrimaryButton><SecondaryButton className="mt-4" disabled={processing}>Other</SecondaryButton></td> */}
		</tr>
		
		
		
		
		// <th scope="col" class="px-6 py-4">User Type</th>
		// 						<th scope="col" class="px-6 py-4">First Name</th>
		// 						<th scope="col" class="px-6 py-4">Last Name</th>
		// 						<th scope="col" class="px-6 py-4">Title</th>
		// 						<th scope="col" class="px-6 py-4">Phone 1</th>
		// 						<th scope="col" class="px-6 py-4">Email</th>
    );
}