import React from 'react';
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout';
import InputError from '@/Components/InputError';
import Contact from '@/Components/Contact';
import PrimaryButton from '@/Components/PrimaryButton';
import Pagination from '@/Components/Pagination';
import { useForm, Head } from '@inertiajs/react';
import SearchFilter from '@/Components/SearchFilter';
 
export default function Index({ auth, contacts }) {
    const { data, setData, post, processing, reset, errors } = useForm({
        ContactName: '',
    });
 
    const submit = (e) => {
        e.preventDefault();
        post(route('contacts.store'), { onSuccess: () => reset() });
    };
 
    return (
        <AuthenticatedLayout auth={auth}>
            <Head title="Contacts" />
 
            <div className="max-w-1xl mx-auto p-4 sm:p-6 lg:p-8">
                
				<div class="flex items-center justify-between mb-6">
					<form onSubmit={submit}>
						{/* <textarea
							value={data.TaskName}
							className="block w-full border-gray-300 focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm"
							onChange={e => setData('TaskName', e.target.value)}
						></textarea>
						<InputError TaskName={errors.TaskName} className="mt-2" /> */}
						<PrimaryButton className="mt-4" disabled={processing}>New Contact</PrimaryButton>
					</form>
					
					<SearchFilter
						id="grid-search-filter"
						className="mr-4 w-full max-w-md"
						//value={data.CustomerName}
						//onChange={(e) => setData('CustomerName', e.target.value)}
						//required
						// isFocused
						//autoComplete="CustomerName"
					/>
				</div>
				
				<div class="flex flex-col">
					<div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
						<div class="inline-block min-w-full py-2 sm:px-6 lg:px-8">
							<div class="overflow-hidden">
								<table class="min-w-full text-left text-sm font-light">
									<thead class="border-b font-medium dark:border-neutral-500">
										<tr>
											<th scope="col" class="px-6 py-4">#</th>
											<th scope="col" class="px-6 py-4">First Name</th>
											<th scope="col" class="px-6 py-4">Last Name</th>
											<th scope="col" class="px-6 py-4">Association</th>
											<th scope="col" class="px-6 py-4">Title</th>
											<th scope="col" class="px-6 py-4">Email</th>
											<th scope="col" class="px-6 py-4">Phone</th>
											<th scope="col" class="px-6 py-4"></th>
										</tr>
									</thead>
									<tbody>
										{/* <div className="mt-6 bg-white shadow-sm rounded-lg divide-y"> */}
											{contacts.map(contact =>
												<Contact key={contact.id} contact={contact} />
											)}
										{/* </div> */}
									</tbody>
								</table>
								{/* <Pagination></Pagination> */}
							</div>
						</div>
					</div>
				</div>
				{/* <div className="mt-6 bg-white shadow-sm rounded-lg divide-y">
                    {tasks.map(tasks =>
                        <Tasks key={Tasks.id} tasks={tasks} />
                    )}
                </div> */}
				
				
            </div>
        </AuthenticatedLayout>
    );
}