import React from 'react';
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout';
import InputError from '@/Components/InputError';
import InputLabel from '@/Components/InputLabel';
import TextInput from '@/Components/TextInput';
import PrimaryButton from '@/Components/PrimaryButton';
import { useForm, Head, usePage } from '@inertiajs/react';
import SecondaryButton from '@/Components/SecondaryButton';
import UpdatePasswordForm from '@/Components/UpdatePasswordForm';
 
export default function Edit({ user }) {
	const { auth } = usePage().props;
	
    const { data, setData, patch, get, processing, reset, errors } = useForm({
		id: user.id,
		name: user.name,
		email: user.email,
    });
 
    const submit = (e) => {
        e.preventDefault();
        //patch(route('user.update', user.id), { onSuccess: () => reset() });
		
        patch(route('users.update', user.id), { onSuccess: () => reset() });
    };
 
    return (
        <AuthenticatedLayout auth={auth}>
            <Head title="Users" />
 
            <div className="max-w-1xl mx-auto p-4 sm:p-6 lg:p-8">
                <form onSubmit={submit}>
					<PrimaryButton className="mt-4 mb-4" disabled={processing}>Save</PrimaryButton>
					<SecondaryButton className="mt-4 mb-4">Cancel</SecondaryButton>
					
					<div class="flex wrap mb-4">
						<div class="w-full px-4">
							<InputLabel htmlFor="grid-first-name" value="First Name" />
							<TextInput
								id="grid-first-name"
								className="mt-1 block w-full"
								value={data.name}
								onChange={(e) => setData('name', e.target.value)}
								// required
								// isFocused
								autoComplete="Name"
							/>
							{/* <InputError className="mt-2" message={errors.FirstName} /> */}
						</div>
					</div>
						
					<div class="flex wrap mb-4">
						<div class="w-full px-4">
							<InputLabel htmlFor="grid-email-address" value="Email Address" />
							<TextInput
								id="grid-email-address"
								className="mt-1 block w-full"
								value={data.email}
								onChange={(e) => setData('email', e.target.value)}
								// required
								// isFocused
								autoComplete="EmailAddress"
							/>
							{/* <InputError className="mt-2" message={errors.EmailAddress} /> */}
						</div>
					</div>
					
					<div className="p-4 sm:p-8 bg-white shadow sm:rounded-lg">
                        <UpdatePasswordForm className="max-w-xl" />
                    </div>
					
					
                </form>
            </div>

        </AuthenticatedLayout>
    );
}