import React from 'react';
import AuthenticatedLayout from '@/Layouts/AuthenticatedLayout';
import InputError from '@/Components/InputError';
import User from '@/Components/User';
import PrimaryButton from '@/Components/PrimaryButton';
import { useForm, Head } from '@inertiajs/react';
 
export default function Index({ auth, users }) {
    const { data, setData, post, processing, reset, errors } = useForm({
        UserName: '',
    });
 
    const submit = (e) => {
        e.preventDefault();
        post(route('users.store'), { onSuccess: () => reset() });
    };
 
    return (
        <AuthenticatedLayout auth={auth}>
            <Head title="Users" />
 
            <div className="max-w-1xl mx-auto p-4 sm:p-6 lg:p-8">
                <form onSubmit={submit}>
					{/* <textarea
                        value={data.TaskName}
                        className="block w-full border-gray-300 focus:border-indigo-300 focus:ring focus:ring-indigo-200 focus:ring-opacity-50 rounded-md shadow-sm"
                        onChange={e => setData('TaskName', e.target.value)}
                    ></textarea>
                    <InputError TaskName={errors.TaskName} className="mt-2" /> */}
                    <PrimaryButton className="mt-4" disabled={processing}>New User</PrimaryButton>
                </form>
				
				<div class="flex flex-col">
					<div class="overflow-x-auto sm:-mx-6 lg:-mx-8">
						<div class="inline-block min-w-full py-2 sm:px-6 lg:px-8">
							<div class="overflow-hidden">
								<table class="min-w-full text-left text-sm font-light">
									<thead class="border-b font-medium dark:border-neutral-500">
										<tr>
											<th scope="col" class="px-6 py-4">#</th>
											<th scope="col" class="px-6 py-4">Name</th>
											<th scope="col" class="px-6 py-4">Email</th>
											<th scope="col" class="px-6 py-4"></th>
										</tr>
									</thead>
									<tbody>
										{/* <div className="mt-6 bg-white shadow-sm rounded-lg divide-y"> */}
											{users.map(user =>
												<User key={user.id} user={user} />
											)}
										{/* </div> */}
									</tbody>
								</table>
							</div>
						</div>
					</div>
				</div>
				{/* <div className="mt-6 bg-white shadow-sm rounded-lg divide-y">
                    {tasks.map(tasks =>
                        <Tasks key={Tasks.id} tasks={tasks} />
                    )}
                </div> */}
				
				
            </div>
        </AuthenticatedLayout>
    );
}